const path = require("path")

const clientFiles = [
  'index.js'
]

let config = clientFiles.map(f => ({
  entry: "./client/" + f,
  mode: 'production',

  experiments: {
    outputModule: true
  },

  output: {
    path: path.resolve(__dirname, "./dist"),
    filename: './client.js',
    library: {
      type: "module"
    }
  }
}))

module.exports = config
